﻿.XTextBoxLP { position:relative; flex-basis:250px; height:65px; margin:7px; flex-grow:1; }
.XTextBoxLP .XTextBoxLPBack { position:absolute; width:100%; height:55px; top:10px; right:10px; border:1px solid #999; background-color:#fff; }
.XTextBoxLP .XTextBoxLPTitle { position:absolute; top:-6px; right:30px; font-size:17px; background-color:#fff !important; color:#999 !important; padding:1PX 10px; margin:0 !important; }
.XTextBoxLP input { position:absolute; top:21px; right:45px; width:calc(100% - 50px); background-color:transparent; font-size:20px; color:#ddd; font-family:ISN; outline:none; }
.XTextBoxLP input:focus { outline:none; }
.XTextBoxLP .XTextBoxLPPic { position:absolute; width:24px; height:24px; top:24px; right:24px; opacity:0.6; }
.XTextBoxLP .XTextBoxLPPic img { position:absolute; width:100%; height:100%; }
.XTextBoxLPFull { width:80%; margin:7px; }
.XTextBoxLPFull2 { width:80%; right:10%; margin:7px 0; }

.XSelectBoxLP { position:relative; flex-basis:250px; height:65px; margin:7px; flex-grow:1; }
.XSelectBoxLP .XTextBoxLPBack { position:absolute; width:100%; height:55px; top:10px; right:10px; border:1px solid #999; background-color:#fff; }
.XSelectBoxLP .XTextBoxLPTitle { position:absolute; top:-6px; right:30px; font-size:17px; background-color:#fff !important; color:#999; padding:5px; }
.XSelectBoxLP select { position:absolute; top:21px; right:40px; width:calc(100% - 50px); background-color:transparent; font-size:20px; color:#333; font-family:ISN; outline:none; }
.XSelectBoxLP select:focus { outline: none; }
.XSelectBoxLP .XTextBoxLPPic { position:absolute; width:24px; height:24px; top:24px; right:24px; opacity:0.6; }
.XSelectBoxLP .XTextBoxLPPic img { position:absolute; width:100%; height:100%; }

.XAreaBoxLP { position:relative; flex-basis:80%; margin:7px; padding-bottom:20px; flex-grow:1; }
.XAreaBoxLP .XAreaBoxLPBack { position:absolute; width:100%; height:calc(100% - 10px); top:10px; right:10px; border:1px solid #999; }
.XAreaBoxLP .XAreaBoxLPTitle { position:absolute; top:-6px; right:30px; font-size:17px; background-color:#fff !important; color:#999; padding:5px; width:auto; }
.XAreaBoxLP textarea { position:relative; top:21px; right:45px; width:calc(100% - 50px); background-color:transparent; resize: vertical; font-size:20px; color:#333; font-family:ISN; outline: none; }
.XAreaBoxLP textarea:focus { outline: none; }
.XAreaBoxLP .XAreaBoxLPPic { position:absolute; width:24px; height:24px; top:24px; right:24px; opacity:0.6 !important; }
.XAreaBoxLP .XAreaBoxLPPic img { position:absolute; width:100%; height:100%; }

.XCheckBoxLP { position:relative; margin:7px; flex-grow:1; }
.XCheckBoxLP .XTextBoxLPTitle, .XCheckBoxLP2 .XTextBoxLPTitle { position:relative; top:10px; right:8px; font-size:17px; color:#999; padding:5px; width:auto; background-color:#fff; margin:15px 0; }
.XCheckBoxLP2 { position:relative; margin:7px; flex-grow:1; width:90%; }
.XCheckBoxLP .RadioBtn p, .XCheckBoxLP2 .RadioBtn p { font-size:12pt; top:2px; }

.XRowBox, .XRowBox2 { width:100%; border:1px dashed #ccc; padding-bottom:10px; margin:10px 0; display:flex; flex-wrap:wrap; flex-grow:1; }
.XRowBox2 { border:0; margin:0; justify-content:center; }
.XButtonCenter { max-width:160px; right:50%; margin-right:80px; margin-top:10px !important; }

.XUpload { position:relative; width:280px; min-height:70px; margin:10px 7px; border:1px dashed #ccc; flex-grow:1; }
.XUpload input { position:absolute; width:0.01px; height:0.01px; opacity:0; overflow:hidden; z-index:-1; }
.XUpload Canvas { position:absolute; width:100%; height:100%; top:0; right:0; z-index:10; }
.XUploadTitle { position:absolute; width:90% !important; top:50% !important; margin-top:-20px !important; right:5% !important; text-align:center !important; color:#999 !important; font-size:17px !important; padding:5px 0 !important; cursor:pointer !important; z-index:20 !important;  }

.XTextBoxC { position:relative; width:250px; height:45px; right:0; margin:7px 0; display:inline-block; vertical-align:middle; }
.XTextBoxC .XTextBoxCBack { position:absolute; width:100%; height:45px; top:0; right:0; border:1px solid #ddd; }
.XTextBoxC .XTextBoxCTitle { position:absolute; top:7px; right:15px; font-size:14px; color:#ddd; padding:5px; }
.XTextBoxC input { position:absolute; top:12px; right:40px; width:calc(100% - 50px); background-color:transparent; font-size:17px; color:#333; font-family:ISN; outline: none; }

.XCheckBoxSw { position:relative; padding:7px 50px 7px 10px; cursor:pointer; }
.XCheckBoxSwRail { position:absolute; width:40px; height:20px; top:10px; right:0; background-color:#1f1f44; }
.XCheckBoxSwPoint { position:absolute; width:20px; height:16px; top:12px; right:2px; background-color:#ccc; }
.XCheckBoxSw p { position:relative; font-size:16px; color:#999; white-space:nowrap; }

.XTextLink { position:relative; font-size:14px; color:#999; padding-bottom:5px; cursor:pointer; }
.XButtonL { position:relative; flex-basis:175px; height:45px; right:0; margin:0 5px; cursor:pointer; overflow:hidden; flex-grow:1; }
.XButtonLBack { position:relative; width:100%; height:100%; background-color:#f00; }
.XButtonL p { position:absolute; width:100%; height:100%; top:8px; right:0 !important; color:#fff; font-size:16px; text-align:center; }
.XButtonLLoader { position:absolute; top:8px; right:50%; margin-right:-16px; opacity:0 }

.XButtonLHover { position:relative; width:1000px; height:1000px; top:50%; right:50%; margin-top:-500px; margin-right:-500px; background-color:#ff1c1c; opacity:0.9; }
.XErrorBox { position:absolute; top:-36px; right:90px !important; height:43px; font-family:ISN; font-size:10pt; color:#fff; background-color:#ea1313; padding:8px 10px; z-index:200; }
.XErrorBox img { position:absolute; bottom:-12px; right:40px; } 
.XErrorText { position:relative !important; font-size:10.5pt !important; white-space:nowrap !important; margin:0 8px !important; white-space:nowrap !important; }

.CloseBtn { position:absolute; width:30px; height:30px; top:-10px; left:10px; background-color:#da7600; cursor:pointer; z-index:100; }
.CloseBtn img { position:absolute; top:5px; left:3px; }

.XHBreakLine { position:relative; width:100%; height:0; border-top:1px dotted #ddd; margin:10px 0; }

.XPaging { position:relative; width:360px; height:45px; display:block; margin:0 auto; }
.XPaging * { user-select:none; -webkit-user-select:none; -khtml-user-select:none; -moz-user-select:none; -ms-user-select:none; }
.XPaging_PrevBtn { position:absolute; top:5px; right:0; width:35px; height:35px; cursor:pointer; display:none; }
.XPaging_NextBtn { position:absolute; top:5px; left:0; width:35px; height:35px; cursor:pointer; }
.XPaging_PrevBtn img, .XPaging_NextBtn img { opacity:0.4; }
.XPaging_PrevBtn:hover img, .XPaging_NextBtn:hover img { opacity:0.9; }
.XPaging_PrevHR { position:absolute; top:5px; right:50px; width:1px; height:35px; background-color:#eee; display:none; }
.XPaging_NextHR { position:absolute; top:5px; left:50px; width:1px; height:35px; background-color:#eee; }
.XPaging_BtnBox { position:absolute; top:0; right:67px; width:225px; height:45px; overflow:hidden; }
.XPaging_Btn { position:absolute; width:35px; height:35px; top:5px; cursor:pointer; }
.XPaging_Btn1 { right:5px; }
.XPaging_Btn2 { right:50px; }
.XPaging_Btn3 { right:95px; }
.XPaging_Btn4 { right:140px; }
.XPaging_Btn5 { right:185px; }
.XPaging_Btn1 p, .XPaging_Btn2 p, .XPaging_Btn3 p, .XPaging_Btn4 p, .XPaging_Btn5 p { position:absolute; top:3px; width:100%; text-align:center; font-size:19px; }
.XPaging_BtnActive { background-color:#39d1ff; }
.XPaging_BtnActive p { color:#fff; }
.XPaging_X1 .XPaging_Btn1 { right:95px; }
.XPaging_X2 .XPaging_Btn1 { right:67px; }
.XPaging_X2 .XPaging_Btn2 { right:112px; }
.XPaging_X3 .XPaging_Btn1 { right:50px; }
.XPaging_X3 .XPaging_Btn2 { right:95px; }
.XPaging_X3 .XPaging_Btn3 { right:140px; }
.XPaging_X4 .XPaging_Btn1 { right:22px; }
.XPaging_X4 .XPaging_Btn2 { right:67px; }
.XPaging_X4 .XPaging_Btn3 { right:112px; }
.XPaging_X4 .XPaging_Btn4 { right:157px; }
.XPaging_X1 .XPaging_Btn2, .XPaging_X1 .XPaging_Btn3, .XPaging_X1 .XPaging_Btn4, .XPaging_X1 .XPaging_Btn5 { display:none; }
.XPaging_X2 .XPaging_Btn3, .XPaging_X2 .XPaging_Btn4, .XPaging_X2 .XPaging_Btn5 { display:none; }
.XPaging_X3 .XPaging_Btn4, .XPaging_X3 .XPaging_Btn5 { display:none; }
.XPaging_X4 .XPaging_Btn5 { display:none; }
.XPaging_X1 .XPaging_NextHR, .XPaging_X2 .XPaging_NextHR, .XPaging_X3 .XPaging_NextHR, .XPaging_X4 .XPaging_NextHR { display:none; }
.XPaging_X1 .XPaging_PrevHR, .XPaging_X2 .XPaging_PrevHR, .XPaging_X3 .XPaging_PrevHR, .XPaging_X4 .XPaging_PrevHR { display:none; }
.XPaging_X1 .XPaging_NextBtn, .XPaging_X2 .XPaging_NextBtn, .XPaging_X3 .XPaging_NextBtn, .XPaging_X4 .XPaging_NextBtn { display:none; }
.XPaging_X1 .XPaging_PrevBtn, .XPaging_X2 .XPaging_PrevBtn, .XPaging_X3 .XPaging_PrevBtn, .XPaging_X4 .XPaging_PrevBtn { display:none; }

.XLegend { position:relative; margin:40px 0; padding:30px; border:1px dashed #aaa; display:flex; flex-direction:row; flex-wrap:wrap; flex-grow:1; justify-content:center; align-content:stretch; }
.XLegendTitle { position:absolute; top:-17px; right:25px; padding:5px 30px; font-family:ISN; font-size:15px; color:#fff; background-color:#111; }

.XLegend .XTextBoxLP .XTextBoxLPTitle { color:#999; }
.XLegend .XSelectBoxLP .XTextBoxLPTitle { color:#999; }
.XLegend .XSelectBoxLP select option { background-color:#fff; }
.XLegend .XAreaBoxLP .XAreaBoxLPTitle { color:#999; }

.XTextBoxLP input:disabled { color:#da7600 !important; }
.XSelectBoxLP select:disabled { color:#da7600 !important; }                        
.XSelectBoxLP textarea:disabled { color:#da7600 !important; }  

 /*////////////////////////////////////*/


.XLegend2 { position:relative; width:100%; margin:10px 0; padding:50px 5px 10px 5px; min-height:80px; overflow:hidden; opacity:0; }
.XLegend2Back { position:absolute; top:0; right:0; width:100%; height:100%; background-color:#0c0c2b; opacity:0.8; }
.XLegend2Title { position:absolute; top:15px; right:15px; }
.XLegend2Title div { position:absolute; top:7px; right:0; width:7px; height:7px; background-color:#f80; }
.XLegend2Title p { position:absolute; top:-2px; right:20px; font-size:15px; color:#fff; white-space:nowrap; opacity:0.9; }
.XLegend2EnTitle { position:absolute; top:50%; right:-80px; width:200px; margin-top:-5px; color:#17174e; font-family:ISN; font-size:17px; text-align:center; white-space:nowrap; }
.XLegend2Empty { position:relative; width:100%; }
.XLegend2Empty img { position:relative; right:50%; margin:20px -35px 5px 0; width:70px; opacity:0.2; }
.XLegend2Empty p { position:relative; font-size:14px; width:100%; text-align:center; margin-bottom:10px; color:#fff; opacity:0.1; }

 /*////////////////////////////////////*/

.XB1 { position:absolute; width:100%; height:100%; top:-2px; right:-2px; border:2px solid #f80; margin-left:15px; cursor:pointer; }

.XLegendMenu { position:absolute; width:calc(100% - 150px); height:45px; top:15px; left:15px; direction:ltr; display:flex; flex-direction:row; flex-wrap:nowrap; z-index:1000; }
.XLegendMenuBtn { position:relative; width:34px; height:34px; margin-left:15px; cursor:pointer; }
.XLegendMenuBtn img { position:absolute; width:24px; height:24px; top:4px; right:4px; opacity:0.8; }
.XLegendMenuBtnS { background-color:#f80; }
.XLegendMenuBtnS img { opacity:0.9; }

.XLegendMenuBtn .XB1 { position:relative; width:38px; height:38px; margin-top:-2px; margin-left:-5px; cursor:pointer; opacity:0; }


 /*////////////////////////////////////*/

.XUserPicBox { position:relative; width:74px; height:74px; cursor:pointer; }
.XUserPicCircle { position:absolute; top:0px; right:0px; width:74px; height:74px; border:2px solid #17174e; opacity:0.4; }
.XUserPic { position:absolute; top:8px; right:8px; width:62px; height:62px; background-color:#000; overflow:hidden; }
.XUserPic img { position:absolute; width:100%; height:100%; top:0; right:0; opacity:0.8; }
.XUserPicTitle { position:absolute; bottom:-10px; width:120px; margin-right:-23px; text-align:center; font-size:12px; color:#fff; opacity:0.6; white-space:nowrap; opacity:0; }













